#
# spec file for package perl-Devel-Declare
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Devel-Declare
Version:        0.006019
Release:        22.1
%define cpan_name Devel-Declare
Summary:        Adding keywords to perl, in perl
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Devel-Declare/
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(B::Hooks::EndOfScope) >= 0.05
BuildRequires:  perl(B::Hooks::OP::Check) >= 0.19
BuildRequires:  perl(ExtUtils::Depends) >= 0.302
BuildRequires:  perl(Sub::Name)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Requires)
Requires:       perl(B::Hooks::EndOfScope) >= 0.05
Requires:       perl(B::Hooks::OP::Check) >= 0.19
Requires:       perl(Sub::Name)
%{perl_requires}

%description
Devel::Declare can install subroutines called declarators which locally
take over Perl's parser, allowing the creation of new syntax.

This document describes how to create a simple declarator.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Wed Mar 29 2017 coolo@suse.com
- updated to 0.006019
  see /usr/share/doc/packages/perl-Devel-Declare/Changes
  0.006019 - 2017-03-28
  - added deprecated flag to metadata. No deprecation warning is given at
    runtime... for now...
  - added "WARNING" section in pod, advising the deprecated status of this
    module
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.006018
  see /usr/share/doc/packages/perl-Devel-Declare/Changes
  0.006018 - 2015-03-24
  - tests fixed for blead (5.21.*) (Matthew Horsfall, RT#102918)
* Sun Nov 23 2014 coolo@suse.com
- updated to 0.006017
  - fix for changes in 5.21.4 (Avoid creating GVs when subs are declared),
    RT#99102, Father Chrysostomos
* Mon Apr 21 2014 mardnh@gmx.de
- updated to 0.006016
  - fixed syntax error in a test
* Fri Mar  7 2014 coolo@suse.com
- updated to 0.006015
  - fix use of wrong sprintf formatting codes (Zefram, RT#91983)
* Sat Jul 27 2013 coolo@suse.com
- updated to 0.006014
  - converted dist to Distar
  - re-release, because Module::Install is AWESOME!
  - Updates for some deprecations in perl 5.17. (Zefram, RT#83968)
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.006011
  - In XS, use PERL_NO_GET_CONTEXT for efficiency.
  - Avoid using Test::Warn, which has previously been a troublesome
    dependency.
  - Fix workaround for unexported core symbols to avoid breaking
    compilation on non-threading builds of Perl 5.8.
  - Set permissions on .perldb file created during test, to avoid
    "insecure rcfile" warning.
  - Be adaptive about whether to delete the line reallocation filter,
    so as to play as nicely as possible with other kinds of source filter.
  - Document that injecting newlines doesn't work.
  - Fix a C declaration after statement, which broke compatibility with
    older compilers (Jan Dubois).
  - Partially work around unexported core symbols affecting Perl 5.8 on
    Windows (David Bouyssie).
  - Jump through some hoops to avoid compiler warnings.
* Fri Dec 23 2011 coolo@suse.com
- update to 0.006008
  - Adjust toke_scan_str logic to always leave the prefix part of
    linestr unchanged.
  - Depend on B::Hooks::OP::Check version 0.19, which fixes a serious bug in
    how it interacts with other modules that hook ops.
  - Initialize immediately upon loading the module, so that "was Devel::Declare
    loaded soon enough" errors in string eval can be fixed by loading the
    module earlier without having to also actually use the module earlier.
  - Adjust toke_scan_str logic to always show a positive effective length of
    string source.
  - Return undef from toke_scan_str if string was unterminated.
  - Detect and croak if unwanted reallocation occurs during toke_scan_str.
  - Avoid memory leak in toke_scan_str.
  - Give Devel::Declare::Context::Simple a version number.
  - Add MYMETA.{json,yml} to MANIFEST.SKIP and .gitignore.
  - Increase default linestr size to avoid reallocations (Zefram).
  - Add a flag for controlling 'redefined' warnings when installing subs into
    namespaces (clkao).
* Tue May 31 2011 coolo@novell.com
- updated to 0.006004
  - Bail out earlier when being called while not lexing (Zefram).
  - Make sure we continue working with Devel::CallParser loaded (Zefram).
  - Fix test-failures on old perl versions (Zefram).
  - Re-add Support for very early growing of PL_linestr using filters (Zefram).
  - Support perl >= 5.13.7 by re-allocating PL_linestr in block hooks (Zefram).
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Thu Nov  4 2010 pascal.bleser@opensuse.org
- initial package (0.006000)
